#include "util/render.h"

void Render::rectangle(Vector2<int> start, Vector2<int> end, Color color) {
    auto origin = start + m_camera_pos;
    m_pge->DrawRect(origin.x(), origin.y(), end.x() - start.x(), end.y() - start.y(), olc::Pixel(color.r(), color.g(), color.b()));
}

void Render::rectangle_sz(Vector2<int> start, Vector2<int> size, Color color) {
    auto origin = start + m_camera_pos;
    m_pge->DrawRect(origin.x(), origin.y(), size.x(), size.y(), olc::Pixel(color.r(), color.g(), color.b()));
}

void Render::fill_rectangle(Vector2<int> start, Vector2<int> end, Color color) {
    auto origin = start + m_camera_pos;
    m_pge->FillRect(origin.x(), origin.y(), end.x() - start.x() + 1, end.y() - start.y() + 1, olc::Pixel(color.r(), color.g(), color.b()));
}

void Render::fill_rectangle_sz(Vector2<int> start, Vector2<int> size, Color color) {
    auto origin = start + m_camera_pos;
    m_pge->FillRect(origin.x(), origin.y(), size.x() + 1, size.y() + 1, olc::Pixel(color.r(), color.g(), color.b()));
}

